Skip to main content
POST
/
v1
/
locations
/
{location_id}
/
special_closings
Create a special closing
curl --request POST \
  --url https://api.chataigne.ai/v1/locations/{location_id}/special_closings \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "starts_at": "2023-11-07T05:31:56Z",
  "ends_at": "2023-11-07T05:31:56Z",
  "reason": "<string>"
}
'
{
  "id": "scl_5a16c3f915a84bf0bd90729c",
  "object": "special_closing",
  "location_id": "<string>",
  "starts_at": "2023-11-07T05:31:56Z",
  "ends_at": "2023-11-07T05:31:56Z",
  "reason": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Location/organization API key.

Headers

Idempotency-Key
string
required

Unique key that makes this create safe to retry; replays return the original response.

Path Parameters

location_id
string
required

Body

application/json
starts_at
string<date-time>
required
ends_at
string<date-time>
required
reason
string

Response

The created special closing.

id
string
Example:

"scl_5a16c3f915a84bf0bd90729c"

object
enum<string>
Available options:
special_closing
location_id
string
starts_at
string<date-time>
ends_at
string<date-time>
reason
string | null
created_at
string<date-time>
updated_at
string<date-time>